Skip to main content
GET
/
api
/
gen-ai
/
beta
/
endpoints
/
{endpointId}
Get endpoint by id
curl --request GET \
  --url https://api.example.com/api/gen-ai/beta/endpoints/{endpointId} \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "createdAt": "2022-03-12T02:13:44.467Z",
  "creator": {
    "id": "integration test",
    "name": "Full User Name"
  },
  "id": "62313ce67a0af0281c01a6a5",
  "name": "My Endpoint",
  "project": {
    "id": "62313ce67a0af0281c01a6a5",
    "name": "My Project",
    "owner": {
      "id": "integration test",
      "name": "Full User Name"
    }
  },
  "updatedAt": "2022-03-12T02:13:44.467Z",
  "url": "https://cloud-dogfood.domino.tech/endpoint/my-endpoint",
  "vanityUrl": "https://cloud-dogfood.domino.tech/endpoints/my-endpoint",
  "currentVersion": {
    "configuration": {
      "maxNumberOfSequences": 256,
      "servedModelName": "my-model",
      "tensorParallelism": 1,
      "vllmArguments": "--max-model-length 4095 --gpu-memory-utilization 0.90"
    },
    "createdAt": "2022-03-12T02:13:44.467Z",
    "creator": {
      "id": "integration test",
      "name": "Full User Name"
    },
    "endpointId": "62313ce67a0af0281c01a6a5",
    "environment": {
      "id": "62313ce67a0af0281c01a6a5",
      "name": "My Environment",
      "revisionId": "62313ce67a0af0281c01a6a5"
    },
    "hardwareTier": {
      "dataPlaneId": "62313ce67a0af0281c01a6a5",
      "dataPlaneName": "My Data Plane",
      "id": "62313ce67a0af0281c01a6a5"
    },
    "modelSource": {
      "huggingFace": {
        "commit": "62313ce67a0af0281c01a6a5",
        "path": "my-model",
        "apiToken": "62313ce67a0af0281c01a6a5"
      },
      "registeredModel": {
        "modelName": "RandomForestRegression",
        "modelVersion": 1
      }
    },
    "number": 1,
    "description": "My Endpoint Version Description",
    "executionId": "62313ce67a0af0281c01a6a5",
    "label": 1
  },
  "description": "My Endpoint Description",
  "instructions": "Use the endpoint to generate text",
  "requestCount": 100
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

endpointId
string
required

The ID of the endpoint to get

Response

Success

createdAt
string<date-time>
required

The time the endpoint was created

Example:

"2022-03-12T02:13:44.467Z"

creator
object
required
generalAccess
enum<string>
required
Available options:
Restricted,
Viewer,
Consumer
id
string
required

The ID of the endpoint

Example:

"62313ce67a0af0281c01a6a5"

name
string
required

The name of the endpoint

Example:

"My Endpoint"

project
object
required
updatedAt
string<date-time>
required

The last time the endpoint was modified

Example:

"2022-03-12T02:13:44.467Z"

url
string
required

The URL of the endpoint

Example:

"https://cloud-dogfood.domino.tech/endpoint/my-endpoint"

vanityUrl
string
required

The optional Vanity url for the Gen AI Endpoint. This will default to https://{domino-instance}/endpoints/{endpointName}

Example:

"https://cloud-dogfood.domino.tech/endpoints/my-endpoint"

currentVersion
object
description
string

The description of the endpoint

Example:

"My Endpoint Description"

instructions
string

The instructions for using the endpoint

Example:

"Use the endpoint to generate text"

requestCount
integer

The number of requests processed by the endpoint

Example:

100